[Enigmail] Dropped Support for GnuPG 1.4.x in Nightly Builds

Patrick Brunschwig patrick at enigmail.net
Fri Mar 20 08:25:44 CET 2015


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 20.03.15 00:31, Daniel Kahn Gillmor wrote:
> On Thu 2015-03-19 13:36:17 -0400, Patrick Brunschwig wrote:
> 
>> I pushed a number of changes that remove support for GnuPG 1.x
>> from Enigmail. The main objective was to remove anything
>> concerning passphrase handling from Enigmail, as GnuPG 2.x does
>> this by itself.
> 
> gpg 1.4.x can also do the passphrase handling by itself, as long
> as --use-agent is passed to it in each invocation (and the agent
> is running).
> 
> Do we want to explicitly drop 1.4.x anyway, or just say "we don't 
> support 1.4.x without using the agent"?

Support for 1.4.x is dropped now entirely. There are also other
differences e.g. in the output of GnuPG 1.4.x when accessing
keyservers that I don't want to support anymore.

- -Patrick

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJVC8t2AAoJENsRh7ndX2k7JEIQALNQvXG0F9Z/Gx5aLe3s3Vap
OW3KNOjJWmp2+yCRRsO+opod6R0vDRBvgWTcI1lyaAM5EOdZomoA+djOS/xRtPRJ
Jm6pSxzhxwY7Ci16XNwuMjejn9mATG5MB0vHMwWazTqj+NGrn+ULoo5tLnxoC0yX
T8gkKzYwxyGLRMA89cQs29SED31eOgjpYNDr1NmGB4hLAvG6YKea9KFjagVEKJu+
4F2FaEiIJ0VxyEXaBzH2GuuCZIv9UJbb7Q6KnnoZsdtH8gdrEB9yC7J8vMvv8AKD
d2+cg1cSeaeAkJlbTNl+sjT1Hlk8o8ntWdlamn1frJomsOuDH0NuOPYDGacsjNmp
jGxAeOfqdeZ/WDW2bKKKcBvP2eQ87lu4Fqe8Rtu8MJSE+MVptJOhz/MRo3VWcpqn
Zyb2rr35dm8FHHflR9ZwsseaVMs0kxzgvrqgl1ENVlJ6N69AFWCk6pryO61AmCwd
YRx7ZT3CgbKl0psZ76oAk2HlSvzNhciQfkHnLbch6Bm1BBVEgsTaKRCHJkEy7CIV
Quf0Dbj23tsueL1JhPqJBw4S8ygkDNF9JYZXN+8JTK5Qm6Vn1/s43ZjW8h1WVnm0
KMgNZXNqTM5DL6Pf7VaoCv3rpQbChX97oEQDGcv9/QJR74g0eMLb6BFf85dhFeHy
VFJeWh+NeKDkFkknIopa
=veoA
-----END PGP SIGNATURE-----



More information about the enigmail-users mailing list